Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Feb 23 00:49
    qdouble removed as member
  • Feb 23 00:49
    govi2010 removed as member
  • Feb 23 00:49
    lanovoy removed as member
  • Feb 23 00:49
    d3viant0ne removed as member
  • Feb 23 00:49
    shlomiassaf removed as member
  • Feb 23 00:49
    mastertinner removed as member
  • Feb 23 00:49
    colinskow removed as member
  • Feb 23 00:49
    matthewdenobrega removed as member
  • Feb 23 00:49
    dotcs removed as member
  • Feb 23 00:49
    DanWahlin removed as member
  • Feb 23 00:49
    Foxandxss removed as member
  • Feb 23 00:49
    niieani removed as member
  • Feb 23 00:49
    katallaxie removed as member
  • Feb 23 00:49
    kentcdodds removed as member
  • Feb 23 00:49
    jeffbcross removed as member
  • Feb 23 00:49
    jimthedev removed as member
  • Feb 23 00:49
    carlosliu removed as member
  • Feb 23 00:41
    PatrickJS commented #1686
  • Feb 22 22:23
    kamil-kielczewski commented #1686
  • Feb 22 22:23
    kamil-kielczewski commented #1686
also I have some vendor providers that require some of my code(ngrx/store providerStore requires my reducers).. so where should that go?
Jamie Spittal
@Spittal
Yeah fair enough actually… I’m having a little trouble knowing where to put my deps as well...
ryneflood
@ryneflood
hey guys i'm running into a REALLY frustrating bug; it appears intermittently and seems to be random, as removing different parts of my app will fix it, but then then replacing the exact same code will work for a while, and then fail (what seems to be) randomly again
the same code also works fine when in a JSPM based build
This message was deleted
stacktrace
anyone around that can give me any suggestions on how to fix? started a week or so ago when I upgraded from around the beta.8 versions. In the mean time I've tried starting from a fresh copy of the starter, it'll work fine for a while but eventually it'll fail on that error. Sometimes it'll fail after just adding a new <div> to an HTML template
eventually the error is on this line: modules[moduleId].call(module.exports, module, module.exports, hotCreateRequire(moduleId));
ryneflood
@ryneflood
i've turned off the "Hot Module Replacement" stuff; seemed to help for a minute (it worked first try after I turned it off). But then error is back after killing the server and restarting it
it errors out before it gets to any code in main.browser.ts so it seems likely that it has nothing to do with any angular code
texirv0203
@texirv0203
@all in webpack how to point to two different sites like web.cars.com or mobile.cars.com, after build
Tai T. Truong
@truthtaicom
I have a problem: Maximum call stack size exceeded after npm run build:prod
Netanel Basal
@NetanelBasal
This message was deleted
Thomas Sattlecker
@littleStudent
signup via github seems broken
Netanel Basal
@NetanelBasal
This message was deleted
Thomas Sattlecker
@littleStudent
anyone able to use wallaby.js with the latest starter version?
[Error] Runtime error: reflect-metadata shim is required when using class decorators
Mike Cooper
@mbcooper
How do I simply include an external TS library? I added ng2-translate and then an import 'ng2-translate
and get library reference errors ... the exports in ng2-Translate are not resolved properly
'ng2-translate/src/translate.service.d.ts';
WARNING in ./~/ng2-translate/ng2-translate.js
Cannot find source file 'ng2-translate.ts': Error: Cannot resolve 'file' or 'directory' ./ng2-translate.ts in C:\src\ang
ular2-webpack-starter\node_modules\ng2-translate
ryneflood
@ryneflood
@littleStudent for wallaby.js the path of "spec-bundle.js" has changed; it's 'config/spec-bundle.js' now. I needed to update it in a couple places in wallaby.js to get things working
Thomas Sattlecker
@littleStudent
@ryneflood i changed the paths for the spec-bundle.js. still does not work. An updated example with working wallabyjs would be awesome.
Uros Lates
@uroslates
Hi everyone. I tried to upgrade to the latest version ( so to angular2-webpack-starter#4.0.0 from #0.0.0 :) ) and to merge my robust ng2 project into it (mostly app folder files), but for some reason none of my src/*/.ts files are delivered to the browser (webpack://) other than main.browser.ts, polyfils.ts & vendors.ts. And I’m gettinig polyfills.bundle.js:51 Uncaught TypeError: Cannot read property 'call' of undefined (due to previously mentioned issue I guess). Does anyone has any idea where to look @ cause I’m a bit stucked atm...
texirv0203
@texirv0203
Uros Lates
@uroslates

I got it! It has to do W the fact that I’ve tried changing the port from 3000 manually within webpack.dev.js.
It seems that W latest version of angular2-webpack-starter app isn’t working when starting it W none of below (which was working in previous versions):

PORT=XXXX  npm start
PORT=XXXX npm run-script server:prod

Did anyone had any success W running app on different port?

Attila Egyed
@tsm91
This message was deleted
This message was deleted
Attila Egyed
@tsm91
any ideas why the production build fails? AngularClass/angular2-webpack-starter#473
ryneflood
@ryneflood
@uroslates i had the exact same issue when upgrading previously. #456
the only thing that fixed it for me is removing the 'vendor' script from webpack as detailed in the issue thread
rvalimaki
@rvalimaki
Hi everyone. Nobody knows a way to compress (gzip) also the assets? My .js bundles (src/app) are gzipped as expected, but static assets (such as .js files, .json, fonts, etc.) from src/assets are not zipped.
I did add relevant file extensions to the regexp of CompressionPlugin, and that was having the .js already anyway, but it did not help.
syberpunk
@syberpunk

Howdy Yall!!!

Does anybody here use Webpack &/| Browserify and can help a brother out?

I have a browserify bundled code that I would like to wrap with webpack or alternatively bundle in webpack and return an object.
(It's a whole project on it's own)

I tried to bundle it as a library but couldn't get that one final return value.

Any thoughts?

Sam Jones
@ollwenjones
@syberpunk I feel like the "right way TM" to use webpack is to let it bundle all the raw code, and not feed it pre-processed/bundled code. (It usually yells on the console if you do.) These like de-duping of shared dependencies can't be done if you pre-bundle the other project. (Sorry that's just advice and not technical help; that's about all I know.)
Marcos Kichel
@marcoskichel
Hello there, can someone explain me where should I add vendor css?
Sam Jones
@ollwenjones
@marcoskichel do you want to copy it over as a static asset of feed it through the webpack bundling (process urls, etc.)?
Marcos Kichel
@marcoskichel
I am actually importing primeNG so I imported it using npm
now I have to use that:
<link rel="stylesheet" type="text/css" href="node_modules/primeui/primeui-ng-all.css" />
how can I properly inject add these css files dependecies, I am new to front-end development, so sorry if its kinda newbie question
Marcos Kichel
@marcoskichel
I believe it is option 2: "feed it through the webpack bundling (process urls, etc.)"
for static
Marcos Kichel
@marcoskichel
what about dynamic?
Sam Jones
@ollwenjones
to process it either import it using PostCSS / SASS / LESS loader, or require it somewhere in the component / module that depends on it
Marcos Kichel
@marcoskichel
ok, I will google to learn how to to that, thanks :D
Sam Jones
@ollwenjones
in your JS require('primeui/primeui-ng-all.css'); should do the trick...
Marcos Kichel
@marcoskichel
Oh, thanks >D